Upstream information

CVE-2009-3627 at MITRE

Description

The decode_entities function in util.c in HTML-Parser before 3.63 allows context-dependent attackers to cause a denial of service (infinite loop) via an incomplete SGML numeric character reference, which triggers generation of an invalid UTF-8 character.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.30
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 550076 [RESOLVED / FIXED], 585716 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • perl-HTML-Parser >= 3.71-1.178
Patchnames:
SUSE Linux Enterprise Desktop 12 GA perl-HTML-Parser
SUSE Linux Enterprise Desktop 12 SP1
  • perl-HTML-Parser >= 3.71-1.178
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA perl-HTML-Parser
SUSE Linux Enterprise Desktop 12 SP2
  • perl-HTML-Parser >= 3.71-1.178
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA perl-HTML-Parser
SUSE Linux Enterprise Server 11
  • perl-HTML-Parser >= 3.56-1.18.1
Patchnames:
slessp0-perl-HTML-Parser
SUSE Linux Enterprise Server 11 SP1
  • perl-HTML-Parser >= 3.56-1.18.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA perl-HTML-Parser
SUSE Linux Enterprise Server 11 SP2
  • perl-HTML-Parser >= 3.56-1.18.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA perl-HTML-Parser
SUSE Linux Enterprise Server 11 SP3
  • perl-HTML-Parser >= 3.56-1.18.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA perl-HTML-Parser
SUSE Linux Enterprise Server 11 SP4
  • perl-HTML-Parser >= 3.56-1.18.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA perl-HTML-Parser
SUSE Linux Enterprise Server 12
  • perl-HTML-Parser >= 3.71-1.178
Patchnames:
SUSE Linux Enterprise Server 12 GA perl-HTML-Parser
SUSE Linux Enterprise Server 12 SP1
  • perl-HTML-Parser >= 3.71-1.178
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA perl-HTML-Parser
SUSE Linux Enterprise Server 12 SP2
  • perl-HTML-Parser >= 3.71-1.178
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA perl-HTML-Parser
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • perl-HTML-Parser >= 3.71-1.145
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA perl-HTML-Parser
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • perl-HTML-Parser >= 3.56-1.18.1
sled11.x86-64
sle11-debuginfo.s390x
sle11-debuginfo.x86
sle11-debuginfo.ppc
sles11.s390x
sled11.x86
sles11.x86
sle11-debuginfo.x86-64
sles11.ppc
sles11.ia64
sles11.x86-64
sle11-debuginfo.ia64
SAT Patch Nr: 1495
openSUSE 11.0
  • perl-HTML-Parser-debuginfo >= 3.56-77.2
  • perl-HTML-Parser-debugsource >= 3.56-77.2
openSUSE 11.0
  • perl-HTML-Parser >= 3.56-77.2
openSUSE 11.1
  • perl-HTML-Parser-debuginfo >= 3.56-1.85.1
  • perl-HTML-Parser-debugsource >= 3.56-1.85.1
openSUSE 11.1
  • perl-HTML-Parser >= 3.56-1.85.1
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • perl-HTML-Parser >= 3.48-12.7.1
sles10-sp3.x86
sles10-sp3.x86-64
sles10-sp3.s390x
sled10-sp3.x86
sled10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.ia64
ZYPP Patch Nr: 6622
openSUSE 13.2
  • perl-HTML-Parser >= 3.71-2.1.3
Patchnames:
openSUSE 13.2 GA perl-HTML-Parser
openSUSE Leap 42.1
  • perl-HTML-Parser >= 3.71-3.7
Patchnames:
openSUSE Leap 42.1 GA perl-HTML-Parser
openSUSE Leap 42.2
  • perl-HTML-Parser >= 3.71-4.18
Patchnames:
openSUSE Leap 42.2 GA perl-HTML-Parser
openSUSE Tumbleweed
  • perl-HTML-Parser >= 3.72-1.7
Patchnames:
openSUSE Tumbleweed GA perl-HTML-Parser